{
  "name": "@it0/presence-service",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "build": "prisma generate && nest build",
    "dev": "nest start --watch",
    "start": "node dist/main",
    "prisma:generate": "prisma generate",
    "prisma:migrate": "prisma migrate deploy"
  },
  "dependencies": {
    "@nestjs/common": "^10.3.0",
    "@nestjs/core": "^10.3.0",
    "@nestjs/config": "^3.2.0",
    "@nestjs/cqrs": "^10.2.7",
    "@nestjs/jwt": "^10.2.0",
    "@nestjs/platform-express": "^10.3.0",
    "@nestjs/schedule": "^4.0.1",
    "@nestjs/swagger": "^7.3.0",
    "@prisma/client": "^5.9.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.1",
    "date-fns": "^2.30.0",
    "date-fns-tz": "^2.0.1",
    "ioredis": "^5.3.0",
    "prisma": "^5.9.0",
    "reflect-metadata": "^0.2.0",
    "rxjs": "^7.8.0",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^10.3.0",
    "@types/express": "^4.17.21",
    "@types/node": "^20.11.0",
    "typescript": "^5.4.0"
  }
}
